#pragma once
#include <Windows.h>

namespace ta::adapters::windows::hooks
{
    [[nodiscard]] bool hook(PVOID target, PVOID hook, PVOID* original);


    [[nodiscard]] bool unhook_all();

    struct hook_data
    {
        PVOID hook;
        PVOID* original;
    };
}
